Subject: [Ltru] Can someone map these comments into proposals?

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 11 May 2005 22:47:38 -0700

Hi -

In entering comments from the message
http://www.ietf.org/mail-archive/web/ltru/current/msg00540.html
there were a few where I haven't been able to figure out what
is being requested.  If anyone can come up with a constructive
interpretation for any of these, I'd appreciate it.  As they appear
in the original posting, they are:

> 5. Introduction: the introduction describes the use of the tag to name a
> menu of references (dictionaries) and documents that it is often necessary
> to document style related elements (dialect, orthography) and writing
> system. These are the 5 elements I want to see documented.

> 6. Introduction: documents that knowing the language is useful (qualifies)
> or required (defines) for some processes. What is the intended meaning?

> 7. Introduction: indicates that labels are one of the means of indicating
> (meaning?) languages used. No other means is alluded to, and no comments
> about their common consistency is provided?

> 8. Introduction: identifies only two functions for the document: an
> "identifier mechanism" and a "registration function". It does not talk of
> the dissemination of that information, nor of the way applications should
> use it.

> 33. 3.3 : Understanding the meaning of "Subtags required for stability and
> to keep the registry synchronised" will probably be a source of long
> debates. It should be documented.

> 55. it lists challenges to be addressed: "to specify a mechanism for easily
> identifying the role of each subtag  in the language tag". This is
> addressed by the Draft. But this challenge is contradictory with stability
> challenge above. If a language tag displays an identifiable subtag, it
> becomes by nature dependent from the underlying value of the subtag.

If someone can translate any of these into specific proposals for changes
to the i-d, I'll happily create new RT tickets for them.  If not, then at least
it's documented that we tried to figure out what was being requested.

Randy, ltru co-chair

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Frank Ellermann <[email-masked]>
Date: Thu, 12 May 2005 21:05:33 +0200

Randy Presuhn wrote:
 
> at least it's documented that we tried to figure out what was
> being requested.

I tried to get the drift of (6) and came to the conclusion
that it's in fact often useful and sometimes even required to
know the language => no problem in the introduction.

Examples like http and HTML are known, it's unnecesary to list
them, let alone in the introduction.  Something new I've seen
starting recently:  Accept-Language used as mail or news header
field, a cute idea for e.g. English lists or news groups, if an
author accepts or prefers private replies in other languages.

                          Bye, Frank